jv.project

## Interface PjWorkshopIf

- All Superinterfaces:
    PsUpdateIf
  All Known Implementing Classes:
    PjWorkshop, PnCellOperator, PnMinesweeper, PsExportInfo, PsModelInfo, PwAdjustColors, PwBlocks, PwBoundary, PwCleanMesh, PwClip, PwCubeSet, PwEnergy, PwEvolve, PwExplode, PwGeodesic, PwGeodesicFlow, PwHistogram, PwHodge, PwIdentify, PwIntegralLine, PwIntegralLineSet, PwIntersectElementSet, PwIntersectWithFunction, PwIsoline, PwLIC, PwLocalButterfly, PwLocalRemesh, PwMarkWithSphere, PwMatching, PwMaterial, PwModel, PwModelTwoParm, PwNoise, PwParameterLines, PwPlatonic, PwReeb, PwRefineElementSet, PwRefinePolygon, PwRotDiv, PwScalarField, PwSeeds, PwShapeOperator, PwSimplify, PwSimplifyTet, PwSmooth, PwSnake, PwStc, PwSurface, PwSymmetry, PwTetraRivara, PwTetraSet, PwTex2Cubes, PwTexture, PwTopology, PwTransform, PwUnfold, PwVectorField

      public interface PjWorkshopIf
      extends PsUpdateIf

  This interface for workshops allows the loading of workshops from PvViewer.
  Version:
    06.10.06, 1.10 revised (kp) New mode provides simple configurations of workshops.
    23.10.02, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MODE_BUG` Workshop runs in bug reporting mode.
    `static int` | `MODE_STANDARD` Workshop runs in standard mode, default mode.
    `static int` | `MODE_VALIDATE` Workshop runs in bug reporting mode.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PvDisplayIf` | `getDisplay()` Get the active display when this workshop was launched.
    `java.util.Vector` | `getDisplays()` Get the list of displays.
    `PgGeometry` | `getGeometry()` Get assigned geometry on which this workshop operates.
    `PvViewerIf` | `getViewer()` Get the active display when this workshop was launched.
    `boolean` | `isModal()` Check if workshop runs modal.
    `void` | `setDisplay(PvDisplayIf display)` Get the active display when this workshop was launched.
    `void` | `setDisplays(java.util.Vector dispList)` Assign the list of displays.
    `void` | `setGeometry(PgGeometry geom)` Assign a geometry on which this workshop operates, and create a backup copy if workshop is canceled.
    `void` | `setModal(boolean modal)` Set flag if workshop runs modal.
    `void` | `setMode(int mode)` Determines the mode in which this workshop runs.
    `void` | `setViewer(PvViewerIf viewer)` Set the active display when this workshop was launched.

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent, update`

- - ### Field Detail

    - #### MODE_STANDARD

          static final int MODE_STANDARD

      Workshop runs in standard mode, default mode.
      See Also:
        Constant Field Values

    - #### MODE_BUG

          static final int MODE_BUG

      Workshop runs in bug reporting mode.
      See Also:
        Constant Field Values

    - #### MODE_VALIDATE

          static final int MODE_VALIDATE

      Workshop runs in bug reporting mode.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGeometry

          PgGeometry getGeometry()

      Get assigned geometry on which this workshop operates.

    - #### setGeometry

          void setGeometry(PgGeometry geom)

      Assign a geometry on which this workshop operates, and create a backup copy if workshop is canceled. Subclasses frequently overwrite this method but are advised to call this method.

    - #### getViewer

          PvViewerIf getViewer()

      Get the active display when this workshop was launched.

    - #### setViewer

          void setViewer(PvViewerIf viewer)

      Set the active display when this workshop was launched.

    - #### getDisplay

          PvDisplayIf getDisplay()

      Get the active display when this workshop was launched.

    - #### setDisplay

          void setDisplay(PvDisplayIf display)

      Get the active display when this workshop was launched.

    - #### getDisplays

          java.util.Vector getDisplays()

      Get the list of displays.

    - #### setDisplays

          void setDisplays(java.util.Vector dispList)

      Assign the list of displays.

    - #### setMode

          void setMode(int mode)

      Determines the mode in which this workshop runs. Allows to select a debugging type mode.
      Parameters:
        `mode` - either 0 for standard mode, or 1 for debugging operations.
      Since:
        JavaView 3.97.005

    - #### isModal

          boolean isModal()

      Check if workshop runs modal.
      See Also:
        `setModal(boolean)`

    - #### setModal

          void setModal(boolean modal)

      Set flag if workshop runs modal. If a workshop runs modal then it does not listen to changes of the registered geometries or displays. By default a workshop runs modal.
      See Also:
        `isModal()`

"

The software JavaView? is copyright protected. All Rights Reserved.
"